Bug 223984 - deskutils/kdeplasma-addons: fix a comment
Summary: deskutils/kdeplasma-addons: fix a comment
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-kde (Team)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-30 07:55 UTC by Mark Linimon
Modified: 2017-12-30 16:35 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (kde)


Attachments
comment patch (476 bytes, patch)
2017-11-30 07:55 UTC, Mark Linimon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Linimon freebsd_committer freebsd_triage 2017-11-30 07:55:34 UTC
Created attachment 188416 [details]
comment patch

The same comment ought to apply to armv6 and armv7.
Comment 1 Adriaan de Groot freebsd_committer 2017-11-30 08:55:47 UTC
It is a perfectly sane change.

That said, this whole patch should have been upstreamed ages ago, except the KDE4 stuff it is patching is basically no-longer-released, so there's not much point in doing so. Any *modern* (e.g. KDE Frameworks 5) ARM / ARM64 + Clang fixes that are needed should be upstreamed directly. If I can ever get crochet and/or a pine64 image to work, we'll be in a better position to test and fix these things.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2017-11-30 09:37:16 UTC
I have never gotten crochet to work, but I do have a pine64 image that I build via 'release.sh'.  The card is sitting idle right now, so let me know if I can use it to test anything for you.
Comment 3 commit-hook freebsd_committer 2017-12-01 22:13:41 UTC
A commit references this bug:

Author: adridg
Date: Fri Dec  1 22:12:35 UTC 2017
New revision: 455316
URL: https://svnweb.freebsd.org/changeset/ports/455316

Log:
  Fix patch comment.

  PR:		223984
  Submitted by:	linimon@
  Approved by:	tcberner (mentor)

Changes:
  head/deskutils/kdeplasma-addons/files/patch-applets_timer_timer.cpp
Comment 4 Adriaan de Groot freebsd_committer 2017-12-30 16:35:18 UTC
Didn't auto-close